vvm_sources = [
  'dbus.c',
  'service.c',
  'store.c',
  'plugin.c',
  'itu-e212-iso.c',
  'service-providers.c',
  'vvmutil.c',
  'vvm3-activation.c',
  'phone-utils.cpp'
]

builtin_plugins = [
  'modemmanager'
]

genbuiltin = find_program('genbuiltin')
if genbuiltin.found()
  builtin = custom_target('generate builtin.h',
    output : 'builtin.h',
    capture : true,
    command : [genbuiltin] + builtin_plugins
  )
  vvm_sources = vvm_sources + [builtin]
endif

vvm_lib = static_library('vvm',
  vvm_sources,
  include_directories : includes,
  dependencies : dependencies,
)
